gdjs.Untitled_32sceneCode = {};
gdjs.Untitled_32sceneCode.GDBox3Objects1= [];
gdjs.Untitled_32sceneCode.GDBox3Objects2= [];
gdjs.Untitled_32sceneCode.GDBox3Objects3= [];
gdjs.Untitled_32sceneCode.GDBox3Objects4= [];
gdjs.Untitled_32sceneCode.GDCrateBlueFlatDarkObjects1= [];
gdjs.Untitled_32sceneCode.GDCrateBlueFlatDarkObjects2= [];
gdjs.Untitled_32sceneCode.GDCrateBlueFlatDarkObjects3= [];
gdjs.Untitled_32sceneCode.GDCrateBlueFlatDarkObjects4= [];
gdjs.Untitled_32sceneCode.GDWindHashashinObjects1= [];
gdjs.Untitled_32sceneCode.GDWindHashashinObjects2= [];
gdjs.Untitled_32sceneCode.GDWindHashashinObjects3= [];
gdjs.Untitled_32sceneCode.GDWindHashashinObjects4= [];
gdjs.Untitled_32sceneCode.GDDinoDouxObjects1= [];
gdjs.Untitled_32sceneCode.GDDinoDouxObjects2= [];
gdjs.Untitled_32sceneCode.GDDinoDouxObjects3= [];
gdjs.Untitled_32sceneCode.GDDinoDouxObjects4= [];
gdjs.Untitled_32sceneCode.GDPickaxeObjects1= [];
gdjs.Untitled_32sceneCode.GDPickaxeObjects2= [];
gdjs.Untitled_32sceneCode.GDPickaxeObjects3= [];
gdjs.Untitled_32sceneCode.GDPickaxeObjects4= [];
gdjs.Untitled_32sceneCode.GDNewSpriteObjects1= [];
gdjs.Untitled_32sceneCode.GDNewSpriteObjects2= [];
gdjs.Untitled_32sceneCode.GDNewSpriteObjects3= [];
gdjs.Untitled_32sceneCode.GDNewSpriteObjects4= [];
gdjs.Untitled_32sceneCode.GDNewSprite2Objects1= [];
gdjs.Untitled_32sceneCode.GDNewSprite2Objects2= [];
gdjs.Untitled_32sceneCode.GDNewSprite2Objects3= [];
gdjs.Untitled_32sceneCode.GDNewSprite2Objects4= [];
gdjs.Untitled_32sceneCode.GDNewSprite3Objects1= [];
gdjs.Untitled_32sceneCode.GDNewSprite3Objects2= [];
gdjs.Untitled_32sceneCode.GDNewSprite3Objects3= [];
gdjs.Untitled_32sceneCode.GDNewSprite3Objects4= [];
gdjs.Untitled_32sceneCode.GDNewSprite4Objects1= [];
gdjs.Untitled_32sceneCode.GDNewSprite4Objects2= [];
gdjs.Untitled_32sceneCode.GDNewSprite4Objects3= [];
gdjs.Untitled_32sceneCode.GDNewSprite4Objects4= [];
gdjs.Untitled_32sceneCode.GDNewSprite5Objects1= [];
gdjs.Untitled_32sceneCode.GDNewSprite5Objects2= [];
gdjs.Untitled_32sceneCode.GDNewSprite5Objects3= [];
gdjs.Untitled_32sceneCode.GDNewSprite5Objects4= [];
gdjs.Untitled_32sceneCode.GDNewSprite6Objects1= [];
gdjs.Untitled_32sceneCode.GDNewSprite6Objects2= [];
gdjs.Untitled_32sceneCode.GDNewSprite6Objects3= [];
gdjs.Untitled_32sceneCode.GDNewSprite6Objects4= [];
gdjs.Untitled_32sceneCode.GDNewSprite7Objects1= [];
gdjs.Untitled_32sceneCode.GDNewSprite7Objects2= [];
gdjs.Untitled_32sceneCode.GDNewSprite7Objects3= [];
gdjs.Untitled_32sceneCode.GDNewSprite7Objects4= [];
gdjs.Untitled_32sceneCode.GDDinoVitaObjects1= [];
gdjs.Untitled_32sceneCode.GDDinoVitaObjects2= [];
gdjs.Untitled_32sceneCode.GDDinoVitaObjects3= [];
gdjs.Untitled_32sceneCode.GDDinoVitaObjects4= [];
gdjs.Untitled_32sceneCode.GDFlatLightJoystickObjects1= [];
gdjs.Untitled_32sceneCode.GDFlatLightJoystickObjects2= [];
gdjs.Untitled_32sceneCode.GDFlatLightJoystickObjects3= [];
gdjs.Untitled_32sceneCode.GDFlatLightJoystickObjects4= [];
gdjs.Untitled_32sceneCode.GDNewSprite8Objects1= [];
gdjs.Untitled_32sceneCode.GDNewSprite8Objects2= [];
gdjs.Untitled_32sceneCode.GDNewSprite8Objects3= [];
gdjs.Untitled_32sceneCode.GDNewSprite8Objects4= [];
gdjs.Untitled_32sceneCode.GDNewSprite9Objects1= [];
gdjs.Untitled_32sceneCode.GDNewSprite9Objects2= [];
gdjs.Untitled_32sceneCode.GDNewSprite9Objects3= [];
gdjs.Untitled_32sceneCode.GDNewSprite9Objects4= [];
gdjs.Untitled_32sceneCode.GDShadedDarkJoystickObjects1= [];
gdjs.Untitled_32sceneCode.GDShadedDarkJoystickObjects2= [];
gdjs.Untitled_32sceneCode.GDShadedDarkJoystickObjects3= [];
gdjs.Untitled_32sceneCode.GDShadedDarkJoystickObjects4= [];

gdjs.Untitled_32sceneCode.conditionTrue_0 = {val:false};
gdjs.Untitled_32sceneCode.condition0IsTrue_0 = {val:false};
gdjs.Untitled_32sceneCode.condition1IsTrue_0 = {val:false};
gdjs.Untitled_32sceneCode.condition2IsTrue_0 = {val:false};
gdjs.Untitled_32sceneCode.condition3IsTrue_0 = {val:false};
gdjs.Untitled_32sceneCode.conditionTrue_1 = {val:false};
gdjs.Untitled_32sceneCode.condition0IsTrue_1 = {val:false};
gdjs.Untitled_32sceneCode.condition1IsTrue_1 = {val:false};
gdjs.Untitled_32sceneCode.condition2IsTrue_1 = {val:false};
gdjs.Untitled_32sceneCode.condition3IsTrue_1 = {val:false};


gdjs.Untitled_32sceneCode.mapOfGDgdjs_46Untitled_9532sceneCode_46GDNewSprite3Objects3Objects = Hashtable.newFrom({"NewSprite3": gdjs.Untitled_32sceneCode.GDNewSprite3Objects3});
gdjs.Untitled_32sceneCode.mapOfGDgdjs_46Untitled_9532sceneCode_46GDNewSprite2Objects3Objects = Hashtable.newFrom({"NewSprite2": gdjs.Untitled_32sceneCode.GDNewSprite2Objects3});
gdjs.Untitled_32sceneCode.eventsList0 = function(runtimeScene) {

{



}


};gdjs.Untitled_32sceneCode.eventsList1 = function(runtimeScene) {

{


gdjs.Untitled_32sceneCode.condition0IsTrue_0.val = false;
{
gdjs.Untitled_32sceneCode.condition0IsTrue_0.val = gdjs.evtTools.variable.getVariableNumber(runtimeScene.getGame().getVariables().get("alm")) <= 90;
}if (gdjs.Untitled_32sceneCode.condition0IsTrue_0.val) {
gdjs.copyArray(runtimeScene.getObjects("CrateBlueFlatDark"), gdjs.Untitled_32sceneCode.GDCrateBlueFlatDarkObjects3);
gdjs.Untitled_32sceneCode.GDNewSprite3Objects3.length = 0;

{gdjs.evtTools.object.createObjectOnScene((typeof eventsFunctionContext !== 'undefined' ? eventsFunctionContext : runtimeScene), gdjs.Untitled_32sceneCode.mapOfGDgdjs_46Untitled_9532sceneCode_46GDNewSprite3Objects3Objects, (( gdjs.Untitled_32sceneCode.GDCrateBlueFlatDarkObjects3.length === 0 ) ? 0 :gdjs.Untitled_32sceneCode.GDCrateBlueFlatDarkObjects3[0].getPointX("")) + gdjs.evtTools.variable.getVariableNumber(runtimeScene.getScene().getVariables().get("boxX")), (( gdjs.Untitled_32sceneCode.GDCrateBlueFlatDarkObjects3.length === 0 ) ? 0 :gdjs.Untitled_32sceneCode.GDCrateBlueFlatDarkObjects3[0].getPointY("")) + gdjs.evtTools.variable.getVariableNumber(runtimeScene.getScene().getVariables().get("boxY")), "");
}{for(var i = 0, len = gdjs.Untitled_32sceneCode.GDNewSprite3Objects3.length ;i < len;++i) {
    gdjs.Untitled_32sceneCode.GDNewSprite3Objects3[i].setSize(64, 64);
}
}}

}


{


gdjs.Untitled_32sceneCode.condition0IsTrue_0.val = false;
{
gdjs.Untitled_32sceneCode.condition0IsTrue_0.val = gdjs.evtTools.variable.getVariableNumber(runtimeScene.getGame().getVariables().get("alm")) > 90;
}if (gdjs.Untitled_32sceneCode.condition0IsTrue_0.val) {
gdjs.copyArray(runtimeScene.getObjects("CrateBlueFlatDark"), gdjs.Untitled_32sceneCode.GDCrateBlueFlatDarkObjects3);
gdjs.Untitled_32sceneCode.GDNewSprite2Objects3.length = 0;

{gdjs.evtTools.object.createObjectOnScene((typeof eventsFunctionContext !== 'undefined' ? eventsFunctionContext : runtimeScene), gdjs.Untitled_32sceneCode.mapOfGDgdjs_46Untitled_9532sceneCode_46GDNewSprite2Objects3Objects, (( gdjs.Untitled_32sceneCode.GDCrateBlueFlatDarkObjects3.length === 0 ) ? 0 :gdjs.Untitled_32sceneCode.GDCrateBlueFlatDarkObjects3[0].getPointX("")) + gdjs.evtTools.variable.getVariableNumber(runtimeScene.getScene().getVariables().get("boxX")), (( gdjs.Untitled_32sceneCode.GDCrateBlueFlatDarkObjects3.length === 0 ) ? 0 :gdjs.Untitled_32sceneCode.GDCrateBlueFlatDarkObjects3[0].getPointY("")) + gdjs.evtTools.variable.getVariableNumber(runtimeScene.getScene().getVariables().get("boxY")), "");
}{for(var i = 0, len = gdjs.Untitled_32sceneCode.GDNewSprite2Objects3.length ;i < len;++i) {
    gdjs.Untitled_32sceneCode.GDNewSprite2Objects3[i].setSize(64, 64);
}
}}

}


{


{
{runtimeScene.getScene().getVariables().get("boxX").add(64);
}
{ //Subevents
gdjs.Untitled_32sceneCode.eventsList0(runtimeScene);} //End of subevents
}

}


};gdjs.Untitled_32sceneCode.eventsList2 = function(runtimeScene) {

{


gdjs.Untitled_32sceneCode.condition0IsTrue_0.val = false;
{
gdjs.Untitled_32sceneCode.condition0IsTrue_0.val = gdjs.evtTools.input.isKeyPressed(runtimeScene, "p");
}if (gdjs.Untitled_32sceneCode.condition0IsTrue_0.val) {
{gdjs.evtTools.variable.setVariableBoolean(runtimeScene.getScene().getVariables().get("stop"), true);
}}

}


{


gdjs.Untitled_32sceneCode.condition0IsTrue_0.val = false;
gdjs.Untitled_32sceneCode.condition1IsTrue_0.val = false;
{
gdjs.Untitled_32sceneCode.condition0IsTrue_0.val = gdjs.evtTools.variable.getVariableNumber(runtimeScene.getScene().getVariables().get("endX")) == 0;
}if ( gdjs.Untitled_32sceneCode.condition0IsTrue_0.val ) {
{
gdjs.Untitled_32sceneCode.condition1IsTrue_0.val = gdjs.evtTools.variable.getVariableBoolean(runtimeScene.getScene().getVariables().get("stop"), false);
}}
if (gdjs.Untitled_32sceneCode.condition1IsTrue_0.val) {
{runtimeScene.getScene().getVariables().get("boxY").add(64);
}{runtimeScene.getScene().getVariables().get("boxX").setNumber(0);
}{runtimeScene.getScene().getVariables().get("endX").setNumber(gdjs.evtTools.variable.getVariableNumber(runtimeScene.getScene().getVariables().get("width")));
}}

}


{


gdjs.Untitled_32sceneCode.condition0IsTrue_0.val = false;
gdjs.Untitled_32sceneCode.condition1IsTrue_0.val = false;
{
gdjs.Untitled_32sceneCode.condition0IsTrue_0.val = gdjs.evtTools.variable.getVariableNumber(runtimeScene.getScene().getVariables().get("endX")) >= 0;
}if ( gdjs.Untitled_32sceneCode.condition0IsTrue_0.val ) {
{
gdjs.Untitled_32sceneCode.condition1IsTrue_0.val = gdjs.evtTools.variable.getVariableBoolean(runtimeScene.getScene().getVariables().get("stop"), false);
}}
if (gdjs.Untitled_32sceneCode.condition1IsTrue_0.val) {
{runtimeScene.getScene().getVariables().get("endX").sub(1);
}{runtimeScene.getGame().getVariables().get("alm").setNumber(gdjs.randomInRange(0, 100));
}
{ //Subevents
gdjs.Untitled_32sceneCode.eventsList1(runtimeScene);} //End of subevents
}

}


{


gdjs.Untitled_32sceneCode.condition0IsTrue_0.val = false;
{
gdjs.Untitled_32sceneCode.condition0IsTrue_0.val = gdjs.evtTools.runtimeScene.sceneJustBegins(runtimeScene);
}if (gdjs.Untitled_32sceneCode.condition0IsTrue_0.val) {
{gdjs.evtTools.runtimeScene.resetTimer(runtimeScene, "qq");
}{runtimeScene.getScene().getVariables().get("boxX").setNumber(0);
}{runtimeScene.getScene().getVariables().get("boxY").setNumber(0);
}{runtimeScene.getScene().getVariables().get("endX").setNumber(gdjs.evtTools.variable.getVariableNumber(runtimeScene.getScene().getVariables().get("width")));
}{runtimeScene.getScene().getVariables().get("endY").setNumber(gdjs.evtTools.variable.getVariableNumber(runtimeScene.getScene().getVariables().get("heingh")));
}{gdjs.evtTools.variable.setVariableBoolean(runtimeScene.getScene().getVariables().get("stop"), false);
}}

}


};gdjs.Untitled_32sceneCode.mapOfGDgdjs_46Untitled_9532sceneCode_46GDPickaxeObjects1Objects = Hashtable.newFrom({"Pickaxe": gdjs.Untitled_32sceneCode.GDPickaxeObjects1});
gdjs.Untitled_32sceneCode.mapOfGDgdjs_46Untitled_9532sceneCode_46GDNewSprite3Objects1Objects = Hashtable.newFrom({"NewSprite3": gdjs.Untitled_32sceneCode.GDNewSprite3Objects1});
gdjs.Untitled_32sceneCode.mapOfGDgdjs_46Untitled_9532sceneCode_46GDPickaxeObjects1Objects = Hashtable.newFrom({"Pickaxe": gdjs.Untitled_32sceneCode.GDPickaxeObjects1});
gdjs.Untitled_32sceneCode.mapOfGDgdjs_46Untitled_9532sceneCode_46GDNewSprite2Objects1Objects = Hashtable.newFrom({"NewSprite2": gdjs.Untitled_32sceneCode.GDNewSprite2Objects1});
gdjs.Untitled_32sceneCode.mapOfGDgdjs_46Untitled_9532sceneCode_46GDNewSpriteObjects1Objects = Hashtable.newFrom({"NewSprite": gdjs.Untitled_32sceneCode.GDNewSpriteObjects1});
gdjs.Untitled_32sceneCode.mapOfGDgdjs_46Untitled_9532sceneCode_46GDPickaxeObjects1Objects = Hashtable.newFrom({"Pickaxe": gdjs.Untitled_32sceneCode.GDPickaxeObjects1});
gdjs.Untitled_32sceneCode.asyncCallback11225908 = function (runtimeScene, asyncObjectsList) {
gdjs.copyArray(asyncObjectsList.getObjects("Pickaxe"), gdjs.Untitled_32sceneCode.GDPickaxeObjects2);

{for(var i = 0, len = gdjs.Untitled_32sceneCode.GDPickaxeObjects2.length ;i < len;++i) {
    gdjs.Untitled_32sceneCode.GDPickaxeObjects2[i].deleteFromScene(runtimeScene);
}
}}
gdjs.Untitled_32sceneCode.eventsList3 = function(runtimeScene) {

{


{
{
const asyncObjectsList = new gdjs.LongLivedObjectsList();
for (const obj of gdjs.Untitled_32sceneCode.GDPickaxeObjects1) asyncObjectsList.addObject("Pickaxe", obj);
runtimeScene.getAsyncTasksManager().addTask(gdjs.evtTools.runtimeScene.wait(0.2), (runtimeScene) => (gdjs.Untitled_32sceneCode.asyncCallback11225908(runtimeScene, asyncObjectsList)));
}
}

}


};gdjs.Untitled_32sceneCode.eventsList4 = function(runtimeScene) {

{


{

{ //Subevents
gdjs.Untitled_32sceneCode.eventsList3(runtimeScene);} //End of subevents
}

}


};gdjs.Untitled_32sceneCode.mapOfGDgdjs_46Untitled_9532sceneCode_46GDPickaxeObjects1Objects = Hashtable.newFrom({"Pickaxe": gdjs.Untitled_32sceneCode.GDPickaxeObjects1});
gdjs.Untitled_32sceneCode.asyncCallback11227460 = function (runtimeScene, asyncObjectsList) {
gdjs.copyArray(asyncObjectsList.getObjects("Pickaxe"), gdjs.Untitled_32sceneCode.GDPickaxeObjects2);

{for(var i = 0, len = gdjs.Untitled_32sceneCode.GDPickaxeObjects2.length ;i < len;++i) {
    gdjs.Untitled_32sceneCode.GDPickaxeObjects2[i].deleteFromScene(runtimeScene);
}
}}
gdjs.Untitled_32sceneCode.eventsList5 = function(runtimeScene) {

{


{
{
const asyncObjectsList = new gdjs.LongLivedObjectsList();
for (const obj of gdjs.Untitled_32sceneCode.GDPickaxeObjects1) asyncObjectsList.addObject("Pickaxe", obj);
runtimeScene.getAsyncTasksManager().addTask(gdjs.evtTools.runtimeScene.wait(0.9), (runtimeScene) => (gdjs.Untitled_32sceneCode.asyncCallback11227460(runtimeScene, asyncObjectsList)));
}
}

}


};gdjs.Untitled_32sceneCode.eventsList6 = function(runtimeScene) {

{


{

{ //Subevents
gdjs.Untitled_32sceneCode.eventsList5(runtimeScene);} //End of subevents
}

}


};gdjs.Untitled_32sceneCode.mapOfGDgdjs_46Untitled_9532sceneCode_46GDPickaxeObjects1Objects = Hashtable.newFrom({"Pickaxe": gdjs.Untitled_32sceneCode.GDPickaxeObjects1});
gdjs.Untitled_32sceneCode.asyncCallback11229188 = function (runtimeScene, asyncObjectsList) {
gdjs.copyArray(asyncObjectsList.getObjects("Pickaxe"), gdjs.Untitled_32sceneCode.GDPickaxeObjects2);

{for(var i = 0, len = gdjs.Untitled_32sceneCode.GDPickaxeObjects2.length ;i < len;++i) {
    gdjs.Untitled_32sceneCode.GDPickaxeObjects2[i].deleteFromScene(runtimeScene);
}
}}
gdjs.Untitled_32sceneCode.eventsList7 = function(runtimeScene) {

{


{
{
const asyncObjectsList = new gdjs.LongLivedObjectsList();
for (const obj of gdjs.Untitled_32sceneCode.GDPickaxeObjects1) asyncObjectsList.addObject("Pickaxe", obj);
runtimeScene.getAsyncTasksManager().addTask(gdjs.evtTools.runtimeScene.wait(0.9), (runtimeScene) => (gdjs.Untitled_32sceneCode.asyncCallback11229188(runtimeScene, asyncObjectsList)));
}
}

}


};gdjs.Untitled_32sceneCode.eventsList8 = function(runtimeScene) {

{


{

{ //Subevents
gdjs.Untitled_32sceneCode.eventsList7(runtimeScene);} //End of subevents
}

}


};gdjs.Untitled_32sceneCode.mapOfGDgdjs_46Untitled_9532sceneCode_46GDPickaxeObjects1Objects = Hashtable.newFrom({"Pickaxe": gdjs.Untitled_32sceneCode.GDPickaxeObjects1});
gdjs.Untitled_32sceneCode.asyncCallback11230940 = function (runtimeScene, asyncObjectsList) {
gdjs.copyArray(asyncObjectsList.getObjects("Pickaxe"), gdjs.Untitled_32sceneCode.GDPickaxeObjects2);

{for(var i = 0, len = gdjs.Untitled_32sceneCode.GDPickaxeObjects2.length ;i < len;++i) {
    gdjs.Untitled_32sceneCode.GDPickaxeObjects2[i].deleteFromScene(runtimeScene);
}
}}
gdjs.Untitled_32sceneCode.eventsList9 = function(runtimeScene) {

{


{
{
const asyncObjectsList = new gdjs.LongLivedObjectsList();
for (const obj of gdjs.Untitled_32sceneCode.GDPickaxeObjects1) asyncObjectsList.addObject("Pickaxe", obj);
runtimeScene.getAsyncTasksManager().addTask(gdjs.evtTools.runtimeScene.wait(0.6), (runtimeScene) => (gdjs.Untitled_32sceneCode.asyncCallback11230940(runtimeScene, asyncObjectsList)));
}
}

}


};gdjs.Untitled_32sceneCode.eventsList10 = function(runtimeScene) {

{


{

{ //Subevents
gdjs.Untitled_32sceneCode.eventsList9(runtimeScene);} //End of subevents
}

}


};gdjs.Untitled_32sceneCode.mapOfGDgdjs_46Untitled_9532sceneCode_46GDNewSpriteObjects1Objects = Hashtable.newFrom({"NewSprite": gdjs.Untitled_32sceneCode.GDNewSpriteObjects1});
gdjs.Untitled_32sceneCode.mapOfGDgdjs_46Untitled_9532sceneCode_46GDDinoDouxObjects1Objects = Hashtable.newFrom({"DinoDoux": gdjs.Untitled_32sceneCode.GDDinoDouxObjects1});
gdjs.Untitled_32sceneCode.eventsList11 = function(runtimeScene) {

{

gdjs.copyArray(runtimeScene.getObjects("DinoDoux"), gdjs.Untitled_32sceneCode.GDDinoDouxObjects2);

gdjs.Untitled_32sceneCode.condition0IsTrue_0.val = false;
{
for(var i = 0, k = 0, l = gdjs.Untitled_32sceneCode.GDDinoDouxObjects2.length;i<l;++i) {
    if ( gdjs.Untitled_32sceneCode.GDDinoDouxObjects2[i].getBehavior("PlatformerObject").isMovingEvenALittle() ) {
        gdjs.Untitled_32sceneCode.condition0IsTrue_0.val = true;
        gdjs.Untitled_32sceneCode.GDDinoDouxObjects2[k] = gdjs.Untitled_32sceneCode.GDDinoDouxObjects2[i];
        ++k;
    }
}
gdjs.Untitled_32sceneCode.GDDinoDouxObjects2.length = k;}if (gdjs.Untitled_32sceneCode.condition0IsTrue_0.val) {
/* Reuse gdjs.Untitled_32sceneCode.GDDinoDouxObjects2 */
{for(var i = 0, len = gdjs.Untitled_32sceneCode.GDDinoDouxObjects2.length ;i < len;++i) {
    gdjs.Untitled_32sceneCode.GDDinoDouxObjects2[i].setAnimationName("Move");
}
}}

}


{

gdjs.copyArray(runtimeScene.getObjects("DinoDoux"), gdjs.Untitled_32sceneCode.GDDinoDouxObjects2);

gdjs.Untitled_32sceneCode.condition0IsTrue_0.val = false;
{
for(var i = 0, k = 0, l = gdjs.Untitled_32sceneCode.GDDinoDouxObjects2.length;i<l;++i) {
    if ( !(gdjs.Untitled_32sceneCode.GDDinoDouxObjects2[i].getBehavior("PlatformerObject").isMovingEvenALittle()) ) {
        gdjs.Untitled_32sceneCode.condition0IsTrue_0.val = true;
        gdjs.Untitled_32sceneCode.GDDinoDouxObjects2[k] = gdjs.Untitled_32sceneCode.GDDinoDouxObjects2[i];
        ++k;
    }
}
gdjs.Untitled_32sceneCode.GDDinoDouxObjects2.length = k;}if (gdjs.Untitled_32sceneCode.condition0IsTrue_0.val) {
/* Reuse gdjs.Untitled_32sceneCode.GDDinoDouxObjects2 */
{for(var i = 0, len = gdjs.Untitled_32sceneCode.GDDinoDouxObjects2.length ;i < len;++i) {
    gdjs.Untitled_32sceneCode.GDDinoDouxObjects2[i].setAnimationName("Idle");
}
}}

}


{


gdjs.Untitled_32sceneCode.condition0IsTrue_0.val = false;
{
gdjs.Untitled_32sceneCode.condition0IsTrue_0.val = gdjs.evtTools.input.isKeyPressed(runtimeScene, "d");
}if (gdjs.Untitled_32sceneCode.condition0IsTrue_0.val) {
gdjs.copyArray(runtimeScene.getObjects("DinoDoux"), gdjs.Untitled_32sceneCode.GDDinoDouxObjects2);
{for(var i = 0, len = gdjs.Untitled_32sceneCode.GDDinoDouxObjects2.length ;i < len;++i) {
    gdjs.Untitled_32sceneCode.GDDinoDouxObjects2[i].flipX(false);
}
}}

}


{


gdjs.Untitled_32sceneCode.condition0IsTrue_0.val = false;
{
gdjs.Untitled_32sceneCode.condition0IsTrue_0.val = gdjs.evtTools.input.isKeyPressed(runtimeScene, "a");
}if (gdjs.Untitled_32sceneCode.condition0IsTrue_0.val) {
gdjs.copyArray(runtimeScene.getObjects("DinoDoux"), gdjs.Untitled_32sceneCode.GDDinoDouxObjects2);
{for(var i = 0, len = gdjs.Untitled_32sceneCode.GDDinoDouxObjects2.length ;i < len;++i) {
    gdjs.Untitled_32sceneCode.GDDinoDouxObjects2[i].flipX(true);
}
}}

}


{


gdjs.Untitled_32sceneCode.condition0IsTrue_0.val = false;
{
gdjs.Untitled_32sceneCode.condition0IsTrue_0.val = gdjs.evtTools.input.isKeyPressed(runtimeScene, "w");
}if (gdjs.Untitled_32sceneCode.condition0IsTrue_0.val) {
gdjs.copyArray(runtimeScene.getObjects("DinoDoux"), gdjs.Untitled_32sceneCode.GDDinoDouxObjects1);
{for(var i = 0, len = gdjs.Untitled_32sceneCode.GDDinoDouxObjects1.length ;i < len;++i) {
    gdjs.Untitled_32sceneCode.GDDinoDouxObjects1[i].setAnimationName("Crouch");
}
}}

}


};gdjs.Untitled_32sceneCode.mapOfGDgdjs_46Untitled_9532sceneCode_46GDNewSprite4Objects1Objects = Hashtable.newFrom({"NewSprite4": gdjs.Untitled_32sceneCode.GDNewSprite4Objects1});
gdjs.Untitled_32sceneCode.mapOfGDgdjs_46Untitled_9532sceneCode_46GDPickaxeObjects1Objects = Hashtable.newFrom({"Pickaxe": gdjs.Untitled_32sceneCode.GDPickaxeObjects1});
gdjs.Untitled_32sceneCode.mapOfGDgdjs_46Untitled_9532sceneCode_46GDDinoDouxObjects1Objects = Hashtable.newFrom({"DinoDoux": gdjs.Untitled_32sceneCode.GDDinoDouxObjects1});
gdjs.Untitled_32sceneCode.mapOfGDgdjs_46Untitled_9532sceneCode_46GDNewSpriteObjects1Objects = Hashtable.newFrom({"NewSprite": gdjs.Untitled_32sceneCode.GDNewSpriteObjects1});
gdjs.Untitled_32sceneCode.mapOfGDgdjs_46Untitled_9532sceneCode_46GDPickaxeObjects1Objects = Hashtable.newFrom({"Pickaxe": gdjs.Untitled_32sceneCode.GDPickaxeObjects1});
gdjs.Untitled_32sceneCode.asyncCallback8621292 = function (runtimeScene, asyncObjectsList) {
gdjs.copyArray(asyncObjectsList.getObjects("Pickaxe"), gdjs.Untitled_32sceneCode.GDPickaxeObjects2);

{for(var i = 0, len = gdjs.Untitled_32sceneCode.GDPickaxeObjects2.length ;i < len;++i) {
    gdjs.Untitled_32sceneCode.GDPickaxeObjects2[i].deleteFromScene(runtimeScene);
}
}}
gdjs.Untitled_32sceneCode.eventsList12 = function(runtimeScene) {

{


{
{
const asyncObjectsList = new gdjs.LongLivedObjectsList();
for (const obj of gdjs.Untitled_32sceneCode.GDPickaxeObjects1) asyncObjectsList.addObject("Pickaxe", obj);
runtimeScene.getAsyncTasksManager().addTask(gdjs.evtTools.runtimeScene.wait(0.9), (runtimeScene) => (gdjs.Untitled_32sceneCode.asyncCallback8621292(runtimeScene, asyncObjectsList)));
}
}

}


};gdjs.Untitled_32sceneCode.eventsList13 = function(runtimeScene) {

{


{

{ //Subevents
gdjs.Untitled_32sceneCode.eventsList12(runtimeScene);} //End of subevents
}

}


};gdjs.Untitled_32sceneCode.mapOfGDgdjs_46Untitled_9532sceneCode_46GDPickaxeObjects1Objects = Hashtable.newFrom({"Pickaxe": gdjs.Untitled_32sceneCode.GDPickaxeObjects1});
gdjs.Untitled_32sceneCode.asyncCallback11234404 = function (runtimeScene, asyncObjectsList) {
gdjs.copyArray(asyncObjectsList.getObjects("Pickaxe"), gdjs.Untitled_32sceneCode.GDPickaxeObjects2);

{for(var i = 0, len = gdjs.Untitled_32sceneCode.GDPickaxeObjects2.length ;i < len;++i) {
    gdjs.Untitled_32sceneCode.GDPickaxeObjects2[i].deleteFromScene(runtimeScene);
}
}}
gdjs.Untitled_32sceneCode.eventsList14 = function(runtimeScene) {

{


{
{
const asyncObjectsList = new gdjs.LongLivedObjectsList();
for (const obj of gdjs.Untitled_32sceneCode.GDPickaxeObjects1) asyncObjectsList.addObject("Pickaxe", obj);
runtimeScene.getAsyncTasksManager().addTask(gdjs.evtTools.runtimeScene.wait(0.9), (runtimeScene) => (gdjs.Untitled_32sceneCode.asyncCallback11234404(runtimeScene, asyncObjectsList)));
}
}

}


};gdjs.Untitled_32sceneCode.eventsList15 = function(runtimeScene) {

{


{

{ //Subevents
gdjs.Untitled_32sceneCode.eventsList14(runtimeScene);} //End of subevents
}

}


};gdjs.Untitled_32sceneCode.mapOfGDgdjs_46Untitled_9532sceneCode_46GDPickaxeObjects1Objects = Hashtable.newFrom({"Pickaxe": gdjs.Untitled_32sceneCode.GDPickaxeObjects1});
gdjs.Untitled_32sceneCode.asyncCallback11212556 = function (runtimeScene, asyncObjectsList) {
gdjs.copyArray(asyncObjectsList.getObjects("Pickaxe"), gdjs.Untitled_32sceneCode.GDPickaxeObjects2);

{for(var i = 0, len = gdjs.Untitled_32sceneCode.GDPickaxeObjects2.length ;i < len;++i) {
    gdjs.Untitled_32sceneCode.GDPickaxeObjects2[i].deleteFromScene(runtimeScene);
}
}}
gdjs.Untitled_32sceneCode.eventsList16 = function(runtimeScene) {

{


{
{
const asyncObjectsList = new gdjs.LongLivedObjectsList();
for (const obj of gdjs.Untitled_32sceneCode.GDPickaxeObjects1) asyncObjectsList.addObject("Pickaxe", obj);
runtimeScene.getAsyncTasksManager().addTask(gdjs.evtTools.runtimeScene.wait(0.9), (runtimeScene) => (gdjs.Untitled_32sceneCode.asyncCallback11212556(runtimeScene, asyncObjectsList)));
}
}

}


};gdjs.Untitled_32sceneCode.eventsList17 = function(runtimeScene) {

{


{

{ //Subevents
gdjs.Untitled_32sceneCode.eventsList16(runtimeScene);} //End of subevents
}

}


};gdjs.Untitled_32sceneCode.mapOfGDgdjs_46Untitled_9532sceneCode_46GDPickaxeObjects1Objects = Hashtable.newFrom({"Pickaxe": gdjs.Untitled_32sceneCode.GDPickaxeObjects1});
gdjs.Untitled_32sceneCode.asyncCallback10356148 = function (runtimeScene, asyncObjectsList) {
gdjs.copyArray(asyncObjectsList.getObjects("Pickaxe"), gdjs.Untitled_32sceneCode.GDPickaxeObjects2);

{for(var i = 0, len = gdjs.Untitled_32sceneCode.GDPickaxeObjects2.length ;i < len;++i) {
    gdjs.Untitled_32sceneCode.GDPickaxeObjects2[i].deleteFromScene(runtimeScene);
}
}}
gdjs.Untitled_32sceneCode.eventsList18 = function(runtimeScene) {

{


{
{
const asyncObjectsList = new gdjs.LongLivedObjectsList();
for (const obj of gdjs.Untitled_32sceneCode.GDPickaxeObjects1) asyncObjectsList.addObject("Pickaxe", obj);
runtimeScene.getAsyncTasksManager().addTask(gdjs.evtTools.runtimeScene.wait(0.9), (runtimeScene) => (gdjs.Untitled_32sceneCode.asyncCallback10356148(runtimeScene, asyncObjectsList)));
}
}

}


};gdjs.Untitled_32sceneCode.eventsList19 = function(runtimeScene) {

{


{

{ //Subevents
gdjs.Untitled_32sceneCode.eventsList18(runtimeScene);} //End of subevents
}

}


};gdjs.Untitled_32sceneCode.eventsList20 = function(runtimeScene) {

{


gdjs.Untitled_32sceneCode.condition0IsTrue_0.val = false;
{
gdjs.Untitled_32sceneCode.condition0IsTrue_0.val = gdjs.evtTools.runtimeScene.sceneJustBegins(runtimeScene);
}if (gdjs.Untitled_32sceneCode.condition0IsTrue_0.val) {
{runtimeScene.getScene().getVariables().get("width").setNumber(20);
}}

}


{


gdjs.Untitled_32sceneCode.eventsList2(runtimeScene);
}


{



}


{



}


{


{
gdjs.copyArray(runtimeScene.getObjects("DinoDoux"), gdjs.Untitled_32sceneCode.GDDinoDouxObjects1);
{gdjs.evtTools.camera.centerCamera(runtimeScene, (gdjs.Untitled_32sceneCode.GDDinoDouxObjects1.length !== 0 ? gdjs.Untitled_32sceneCode.GDDinoDouxObjects1[0] : null), true, "", 0);
}}

}


{


gdjs.Untitled_32sceneCode.condition0IsTrue_0.val = false;
{
gdjs.Untitled_32sceneCode.condition0IsTrue_0.val = gdjs.evtTools.input.isKeyPressed(runtimeScene, "w");
}if (gdjs.Untitled_32sceneCode.condition0IsTrue_0.val) {
gdjs.copyArray(runtimeScene.getObjects("DinoDoux"), gdjs.Untitled_32sceneCode.GDDinoDouxObjects1);
{for(var i = 0, len = gdjs.Untitled_32sceneCode.GDDinoDouxObjects1.length ;i < len;++i) {
    gdjs.Untitled_32sceneCode.GDDinoDouxObjects1[i].getBehavior("PlatformerObject").simulateJumpKey();
}
}}

}


{


gdjs.Untitled_32sceneCode.condition0IsTrue_0.val = false;
{
gdjs.Untitled_32sceneCode.condition0IsTrue_0.val = gdjs.evtTools.input.isKeyPressed(runtimeScene, "s");
}if (gdjs.Untitled_32sceneCode.condition0IsTrue_0.val) {
gdjs.copyArray(runtimeScene.getObjects("DinoDoux"), gdjs.Untitled_32sceneCode.GDDinoDouxObjects1);
{for(var i = 0, len = gdjs.Untitled_32sceneCode.GDDinoDouxObjects1.length ;i < len;++i) {
    gdjs.Untitled_32sceneCode.GDDinoDouxObjects1[i].getBehavior("PlatformerObject").simulateDownKey();
}
}}

}


{


gdjs.Untitled_32sceneCode.condition0IsTrue_0.val = false;
{
gdjs.Untitled_32sceneCode.condition0IsTrue_0.val = gdjs.evtTools.input.isKeyPressed(runtimeScene, "a");
}if (gdjs.Untitled_32sceneCode.condition0IsTrue_0.val) {
gdjs.copyArray(runtimeScene.getObjects("DinoDoux"), gdjs.Untitled_32sceneCode.GDDinoDouxObjects1);
{for(var i = 0, len = gdjs.Untitled_32sceneCode.GDDinoDouxObjects1.length ;i < len;++i) {
    gdjs.Untitled_32sceneCode.GDDinoDouxObjects1[i].getBehavior("PlatformerObject").simulateLeftKey();
}
}}

}


{


gdjs.Untitled_32sceneCode.condition0IsTrue_0.val = false;
{
gdjs.Untitled_32sceneCode.condition0IsTrue_0.val = gdjs.evtTools.input.isKeyPressed(runtimeScene, "d");
}if (gdjs.Untitled_32sceneCode.condition0IsTrue_0.val) {
gdjs.copyArray(runtimeScene.getObjects("DinoDoux"), gdjs.Untitled_32sceneCode.GDDinoDouxObjects1);
{for(var i = 0, len = gdjs.Untitled_32sceneCode.GDDinoDouxObjects1.length ;i < len;++i) {
    gdjs.Untitled_32sceneCode.GDDinoDouxObjects1[i].getBehavior("PlatformerObject").simulateRightKey();
}
}}

}


{

gdjs.copyArray(runtimeScene.getObjects("NewSprite3"), gdjs.Untitled_32sceneCode.GDNewSprite3Objects1);
gdjs.copyArray(runtimeScene.getObjects("Pickaxe"), gdjs.Untitled_32sceneCode.GDPickaxeObjects1);

gdjs.Untitled_32sceneCode.condition0IsTrue_0.val = false;
{
gdjs.Untitled_32sceneCode.condition0IsTrue_0.val = gdjs.evtTools.object.hitBoxesCollisionTest(gdjs.Untitled_32sceneCode.mapOfGDgdjs_46Untitled_9532sceneCode_46GDPickaxeObjects1Objects, gdjs.Untitled_32sceneCode.mapOfGDgdjs_46Untitled_9532sceneCode_46GDNewSprite3Objects1Objects, false, runtimeScene, false);
}if (gdjs.Untitled_32sceneCode.condition0IsTrue_0.val) {
/* Reuse gdjs.Untitled_32sceneCode.GDNewSprite3Objects1 */
{for(var i = 0, len = gdjs.Untitled_32sceneCode.GDNewSprite3Objects1.length ;i < len;++i) {
    gdjs.Untitled_32sceneCode.GDNewSprite3Objects1[i].deleteFromScene(runtimeScene);
}
}}

}


{

gdjs.copyArray(runtimeScene.getObjects("NewSprite2"), gdjs.Untitled_32sceneCode.GDNewSprite2Objects1);
gdjs.copyArray(runtimeScene.getObjects("Pickaxe"), gdjs.Untitled_32sceneCode.GDPickaxeObjects1);

gdjs.Untitled_32sceneCode.condition0IsTrue_0.val = false;
{
gdjs.Untitled_32sceneCode.condition0IsTrue_0.val = gdjs.evtTools.object.hitBoxesCollisionTest(gdjs.Untitled_32sceneCode.mapOfGDgdjs_46Untitled_9532sceneCode_46GDPickaxeObjects1Objects, gdjs.Untitled_32sceneCode.mapOfGDgdjs_46Untitled_9532sceneCode_46GDNewSprite2Objects1Objects, false, runtimeScene, false);
}if (gdjs.Untitled_32sceneCode.condition0IsTrue_0.val) {
/* Reuse gdjs.Untitled_32sceneCode.GDNewSprite2Objects1 */
gdjs.Untitled_32sceneCode.GDNewSpriteObjects1.length = 0;

{gdjs.evtTools.object.createObjectOnScene((typeof eventsFunctionContext !== 'undefined' ? eventsFunctionContext : runtimeScene), gdjs.Untitled_32sceneCode.mapOfGDgdjs_46Untitled_9532sceneCode_46GDNewSpriteObjects1Objects, (( gdjs.Untitled_32sceneCode.GDNewSprite2Objects1.length === 0 ) ? 0 :gdjs.Untitled_32sceneCode.GDNewSprite2Objects1[0].getPointX("")), (( gdjs.Untitled_32sceneCode.GDNewSprite2Objects1.length === 0 ) ? 0 :gdjs.Untitled_32sceneCode.GDNewSprite2Objects1[0].getPointY("")), "");
}{for(var i = 0, len = gdjs.Untitled_32sceneCode.GDNewSprite2Objects1.length ;i < len;++i) {
    gdjs.Untitled_32sceneCode.GDNewSprite2Objects1[i].deleteFromScene(runtimeScene);
}
}{for(var i = 0, len = gdjs.Untitled_32sceneCode.GDNewSpriteObjects1.length ;i < len;++i) {
    gdjs.Untitled_32sceneCode.GDNewSpriteObjects1[i].setSize(32, 32);
}
}}

}


{


gdjs.Untitled_32sceneCode.condition0IsTrue_0.val = false;
gdjs.Untitled_32sceneCode.condition1IsTrue_0.val = false;
gdjs.Untitled_32sceneCode.condition2IsTrue_0.val = false;
{
gdjs.Untitled_32sceneCode.condition0IsTrue_0.val = gdjs.evtTools.input.isKeyPressed(runtimeScene, "e");
}if ( gdjs.Untitled_32sceneCode.condition0IsTrue_0.val ) {
{
gdjs.Untitled_32sceneCode.condition1IsTrue_0.val = gdjs.evtTools.input.isKeyPressed(runtimeScene, "s");
}if ( gdjs.Untitled_32sceneCode.condition1IsTrue_0.val ) {
{
{gdjs.Untitled_32sceneCode.conditionTrue_1 = gdjs.Untitled_32sceneCode.condition2IsTrue_0;
gdjs.Untitled_32sceneCode.conditionTrue_1.val = runtimeScene.getOnceTriggers().triggerOnce(11225076);
}
}}
}
if (gdjs.Untitled_32sceneCode.condition2IsTrue_0.val) {
gdjs.copyArray(runtimeScene.getObjects("DinoDoux"), gdjs.Untitled_32sceneCode.GDDinoDouxObjects1);
gdjs.Untitled_32sceneCode.GDPickaxeObjects1.length = 0;

{gdjs.evtTools.object.createObjectOnScene((typeof eventsFunctionContext !== 'undefined' ? eventsFunctionContext : runtimeScene), gdjs.Untitled_32sceneCode.mapOfGDgdjs_46Untitled_9532sceneCode_46GDPickaxeObjects1Objects, (( gdjs.Untitled_32sceneCode.GDDinoDouxObjects1.length === 0 ) ? 0 :gdjs.Untitled_32sceneCode.GDDinoDouxObjects1[0].getPointX("")), (( gdjs.Untitled_32sceneCode.GDDinoDouxObjects1.length === 0 ) ? 0 :gdjs.Untitled_32sceneCode.GDDinoDouxObjects1[0].getPointY("")), "");
}{for(var i = 0, len = gdjs.Untitled_32sceneCode.GDPickaxeObjects1.length ;i < len;++i) {
    gdjs.Untitled_32sceneCode.GDPickaxeObjects1[i].addPolarForce(90, 100, 1);
}
}
{ //Subevents
gdjs.Untitled_32sceneCode.eventsList4(runtimeScene);} //End of subevents
}

}


{


gdjs.Untitled_32sceneCode.condition0IsTrue_0.val = false;
gdjs.Untitled_32sceneCode.condition1IsTrue_0.val = false;
gdjs.Untitled_32sceneCode.condition2IsTrue_0.val = false;
{
gdjs.Untitled_32sceneCode.condition0IsTrue_0.val = gdjs.evtTools.input.isKeyPressed(runtimeScene, "e");
}if ( gdjs.Untitled_32sceneCode.condition0IsTrue_0.val ) {
{
gdjs.Untitled_32sceneCode.condition1IsTrue_0.val = gdjs.evtTools.input.isKeyPressed(runtimeScene, "d");
}if ( gdjs.Untitled_32sceneCode.condition1IsTrue_0.val ) {
{
{gdjs.Untitled_32sceneCode.conditionTrue_1 = gdjs.Untitled_32sceneCode.condition2IsTrue_0;
gdjs.Untitled_32sceneCode.conditionTrue_1.val = runtimeScene.getOnceTriggers().triggerOnce(11226636);
}
}}
}
if (gdjs.Untitled_32sceneCode.condition2IsTrue_0.val) {
gdjs.copyArray(runtimeScene.getObjects("DinoDoux"), gdjs.Untitled_32sceneCode.GDDinoDouxObjects1);
gdjs.Untitled_32sceneCode.GDPickaxeObjects1.length = 0;

{gdjs.evtTools.object.createObjectOnScene((typeof eventsFunctionContext !== 'undefined' ? eventsFunctionContext : runtimeScene), gdjs.Untitled_32sceneCode.mapOfGDgdjs_46Untitled_9532sceneCode_46GDPickaxeObjects1Objects, (( gdjs.Untitled_32sceneCode.GDDinoDouxObjects1.length === 0 ) ? 0 :gdjs.Untitled_32sceneCode.GDDinoDouxObjects1[0].getPointX("")), (( gdjs.Untitled_32sceneCode.GDDinoDouxObjects1.length === 0 ) ? 0 :gdjs.Untitled_32sceneCode.GDDinoDouxObjects1[0].getPointY("")), "");
}{for(var i = 0, len = gdjs.Untitled_32sceneCode.GDPickaxeObjects1.length ;i < len;++i) {
    gdjs.Untitled_32sceneCode.GDPickaxeObjects1[i].addPolarForce(0, 100, 1);
}
}
{ //Subevents
gdjs.Untitled_32sceneCode.eventsList6(runtimeScene);} //End of subevents
}

}


{


gdjs.Untitled_32sceneCode.condition0IsTrue_0.val = false;
gdjs.Untitled_32sceneCode.condition1IsTrue_0.val = false;
gdjs.Untitled_32sceneCode.condition2IsTrue_0.val = false;
{
gdjs.Untitled_32sceneCode.condition0IsTrue_0.val = gdjs.evtTools.input.isKeyPressed(runtimeScene, "e");
}if ( gdjs.Untitled_32sceneCode.condition0IsTrue_0.val ) {
{
gdjs.Untitled_32sceneCode.condition1IsTrue_0.val = gdjs.evtTools.input.isKeyPressed(runtimeScene, "a");
}if ( gdjs.Untitled_32sceneCode.condition1IsTrue_0.val ) {
{
{gdjs.Untitled_32sceneCode.conditionTrue_1 = gdjs.Untitled_32sceneCode.condition2IsTrue_0;
gdjs.Untitled_32sceneCode.conditionTrue_1.val = runtimeScene.getOnceTriggers().triggerOnce(11228236);
}
}}
}
if (gdjs.Untitled_32sceneCode.condition2IsTrue_0.val) {
gdjs.copyArray(runtimeScene.getObjects("DinoDoux"), gdjs.Untitled_32sceneCode.GDDinoDouxObjects1);
gdjs.Untitled_32sceneCode.GDPickaxeObjects1.length = 0;

{gdjs.evtTools.object.createObjectOnScene((typeof eventsFunctionContext !== 'undefined' ? eventsFunctionContext : runtimeScene), gdjs.Untitled_32sceneCode.mapOfGDgdjs_46Untitled_9532sceneCode_46GDPickaxeObjects1Objects, (( gdjs.Untitled_32sceneCode.GDDinoDouxObjects1.length === 0 ) ? 0 :gdjs.Untitled_32sceneCode.GDDinoDouxObjects1[0].getPointX("")), (( gdjs.Untitled_32sceneCode.GDDinoDouxObjects1.length === 0 ) ? 0 :gdjs.Untitled_32sceneCode.GDDinoDouxObjects1[0].getPointY("")), "");
}{for(var i = 0, len = gdjs.Untitled_32sceneCode.GDPickaxeObjects1.length ;i < len;++i) {
    gdjs.Untitled_32sceneCode.GDPickaxeObjects1[i].addPolarForce(180, 100, 1);
}
}{for(var i = 0, len = gdjs.Untitled_32sceneCode.GDPickaxeObjects1.length ;i < len;++i) {
    gdjs.Untitled_32sceneCode.GDPickaxeObjects1[i].setSize(32, 32);
}
}
{ //Subevents
gdjs.Untitled_32sceneCode.eventsList8(runtimeScene);} //End of subevents
}

}


{


gdjs.Untitled_32sceneCode.condition0IsTrue_0.val = false;
gdjs.Untitled_32sceneCode.condition1IsTrue_0.val = false;
gdjs.Untitled_32sceneCode.condition2IsTrue_0.val = false;
{
gdjs.Untitled_32sceneCode.condition0IsTrue_0.val = gdjs.evtTools.input.isKeyPressed(runtimeScene, "e");
}if ( gdjs.Untitled_32sceneCode.condition0IsTrue_0.val ) {
{
gdjs.Untitled_32sceneCode.condition1IsTrue_0.val = gdjs.evtTools.input.isKeyPressed(runtimeScene, "w");
}if ( gdjs.Untitled_32sceneCode.condition1IsTrue_0.val ) {
{
{gdjs.Untitled_32sceneCode.conditionTrue_1 = gdjs.Untitled_32sceneCode.condition2IsTrue_0;
gdjs.Untitled_32sceneCode.conditionTrue_1.val = runtimeScene.getOnceTriggers().triggerOnce(11229988);
}
}}
}
if (gdjs.Untitled_32sceneCode.condition2IsTrue_0.val) {
gdjs.copyArray(runtimeScene.getObjects("DinoDoux"), gdjs.Untitled_32sceneCode.GDDinoDouxObjects1);
gdjs.Untitled_32sceneCode.GDPickaxeObjects1.length = 0;

{gdjs.evtTools.object.createObjectOnScene((typeof eventsFunctionContext !== 'undefined' ? eventsFunctionContext : runtimeScene), gdjs.Untitled_32sceneCode.mapOfGDgdjs_46Untitled_9532sceneCode_46GDPickaxeObjects1Objects, (( gdjs.Untitled_32sceneCode.GDDinoDouxObjects1.length === 0 ) ? 0 :gdjs.Untitled_32sceneCode.GDDinoDouxObjects1[0].getPointX("")), (( gdjs.Untitled_32sceneCode.GDDinoDouxObjects1.length === 0 ) ? 0 :gdjs.Untitled_32sceneCode.GDDinoDouxObjects1[0].getPointY("")), "");
}{for(var i = 0, len = gdjs.Untitled_32sceneCode.GDPickaxeObjects1.length ;i < len;++i) {
    gdjs.Untitled_32sceneCode.GDPickaxeObjects1[i].addPolarForce(270, 100, 1);
}
}{for(var i = 0, len = gdjs.Untitled_32sceneCode.GDPickaxeObjects1.length ;i < len;++i) {
    gdjs.Untitled_32sceneCode.GDPickaxeObjects1[i].setSize(32, 32);
}
}
{ //Subevents
gdjs.Untitled_32sceneCode.eventsList10(runtimeScene);} //End of subevents
}

}


{

gdjs.copyArray(runtimeScene.getObjects("DinoDoux"), gdjs.Untitled_32sceneCode.GDDinoDouxObjects1);
gdjs.copyArray(runtimeScene.getObjects("NewSprite"), gdjs.Untitled_32sceneCode.GDNewSpriteObjects1);

gdjs.Untitled_32sceneCode.condition0IsTrue_0.val = false;
{
gdjs.Untitled_32sceneCode.condition0IsTrue_0.val = gdjs.evtTools.object.hitBoxesCollisionTest(gdjs.Untitled_32sceneCode.mapOfGDgdjs_46Untitled_9532sceneCode_46GDNewSpriteObjects1Objects, gdjs.Untitled_32sceneCode.mapOfGDgdjs_46Untitled_9532sceneCode_46GDDinoDouxObjects1Objects, false, runtimeScene, false);
}if (gdjs.Untitled_32sceneCode.condition0IsTrue_0.val) {
{runtimeScene.getGame().getVariables().get("alm2").setNumber(1);
}}

}


{


{
}

}


{


gdjs.Untitled_32sceneCode.eventsList11(runtimeScene);
}


{

gdjs.copyArray(runtimeScene.getObjects("NewSprite4"), gdjs.Untitled_32sceneCode.GDNewSprite4Objects1);
gdjs.copyArray(runtimeScene.getObjects("Pickaxe"), gdjs.Untitled_32sceneCode.GDPickaxeObjects1);

gdjs.Untitled_32sceneCode.condition0IsTrue_0.val = false;
{
gdjs.Untitled_32sceneCode.condition0IsTrue_0.val = gdjs.evtTools.object.hitBoxesCollisionTest(gdjs.Untitled_32sceneCode.mapOfGDgdjs_46Untitled_9532sceneCode_46GDNewSprite4Objects1Objects, gdjs.Untitled_32sceneCode.mapOfGDgdjs_46Untitled_9532sceneCode_46GDPickaxeObjects1Objects, false, runtimeScene, false);
}if (gdjs.Untitled_32sceneCode.condition0IsTrue_0.val) {
/* Reuse gdjs.Untitled_32sceneCode.GDNewSprite4Objects1 */
{for(var i = 0, len = gdjs.Untitled_32sceneCode.GDNewSprite4Objects1.length ;i < len;++i) {
    gdjs.Untitled_32sceneCode.GDNewSprite4Objects1[i].deleteFromScene(runtimeScene);
}
}}

}


{



}


{

gdjs.copyArray(runtimeScene.getObjects("DinoDoux"), gdjs.Untitled_32sceneCode.GDDinoDouxObjects1);
gdjs.copyArray(runtimeScene.getObjects("NewSprite"), gdjs.Untitled_32sceneCode.GDNewSpriteObjects1);

gdjs.Untitled_32sceneCode.condition0IsTrue_0.val = false;
{
gdjs.Untitled_32sceneCode.condition0IsTrue_0.val = gdjs.evtTools.object.hitBoxesCollisionTest(gdjs.Untitled_32sceneCode.mapOfGDgdjs_46Untitled_9532sceneCode_46GDDinoDouxObjects1Objects, gdjs.Untitled_32sceneCode.mapOfGDgdjs_46Untitled_9532sceneCode_46GDNewSpriteObjects1Objects, false, runtimeScene, false);
}if (gdjs.Untitled_32sceneCode.condition0IsTrue_0.val) {
/* Reuse gdjs.Untitled_32sceneCode.GDNewSpriteObjects1 */
{for(var i = 0, len = gdjs.Untitled_32sceneCode.GDNewSpriteObjects1.length ;i < len;++i) {
    gdjs.Untitled_32sceneCode.GDNewSpriteObjects1[i].deleteFromScene(runtimeScene);
}
}}

}


{


gdjs.Untitled_32sceneCode.condition0IsTrue_0.val = false;
{
gdjs.Untitled_32sceneCode.condition0IsTrue_0.val = gdjs.evtTools.input.isKeyPressed(runtimeScene, "Left");
}if (gdjs.Untitled_32sceneCode.condition0IsTrue_0.val) {
gdjs.copyArray(runtimeScene.getObjects("DinoVita"), gdjs.Untitled_32sceneCode.GDDinoVitaObjects1);
{for(var i = 0, len = gdjs.Untitled_32sceneCode.GDDinoVitaObjects1.length ;i < len;++i) {
    gdjs.Untitled_32sceneCode.GDDinoVitaObjects1[i].flipX(true);
}
}}

}


{


gdjs.Untitled_32sceneCode.condition0IsTrue_0.val = false;
{
gdjs.Untitled_32sceneCode.condition0IsTrue_0.val = gdjs.evtTools.input.isKeyPressed(runtimeScene, "Right");
}if (gdjs.Untitled_32sceneCode.condition0IsTrue_0.val) {
gdjs.copyArray(runtimeScene.getObjects("DinoVita"), gdjs.Untitled_32sceneCode.GDDinoVitaObjects1);
{for(var i = 0, len = gdjs.Untitled_32sceneCode.GDDinoVitaObjects1.length ;i < len;++i) {
    gdjs.Untitled_32sceneCode.GDDinoVitaObjects1[i].flipX(false);
}
}}

}


{

gdjs.copyArray(runtimeScene.getObjects("DinoVita"), gdjs.Untitled_32sceneCode.GDDinoVitaObjects1);

gdjs.Untitled_32sceneCode.condition0IsTrue_0.val = false;
{
for(var i = 0, k = 0, l = gdjs.Untitled_32sceneCode.GDDinoVitaObjects1.length;i<l;++i) {
    if ( gdjs.Untitled_32sceneCode.GDDinoVitaObjects1[i].getBehavior("PlatformerObject").isMovingEvenALittle() ) {
        gdjs.Untitled_32sceneCode.condition0IsTrue_0.val = true;
        gdjs.Untitled_32sceneCode.GDDinoVitaObjects1[k] = gdjs.Untitled_32sceneCode.GDDinoVitaObjects1[i];
        ++k;
    }
}
gdjs.Untitled_32sceneCode.GDDinoVitaObjects1.length = k;}if (gdjs.Untitled_32sceneCode.condition0IsTrue_0.val) {
/* Reuse gdjs.Untitled_32sceneCode.GDDinoVitaObjects1 */
{for(var i = 0, len = gdjs.Untitled_32sceneCode.GDDinoVitaObjects1.length ;i < len;++i) {
    gdjs.Untitled_32sceneCode.GDDinoVitaObjects1[i].setAnimationName("Move");
}
}}

}


{

gdjs.copyArray(runtimeScene.getObjects("DinoVita"), gdjs.Untitled_32sceneCode.GDDinoVitaObjects1);

gdjs.Untitled_32sceneCode.condition0IsTrue_0.val = false;
{
for(var i = 0, k = 0, l = gdjs.Untitled_32sceneCode.GDDinoVitaObjects1.length;i<l;++i) {
    if ( !(gdjs.Untitled_32sceneCode.GDDinoVitaObjects1[i].getBehavior("PlatformerObject").isMovingEvenALittle()) ) {
        gdjs.Untitled_32sceneCode.condition0IsTrue_0.val = true;
        gdjs.Untitled_32sceneCode.GDDinoVitaObjects1[k] = gdjs.Untitled_32sceneCode.GDDinoVitaObjects1[i];
        ++k;
    }
}
gdjs.Untitled_32sceneCode.GDDinoVitaObjects1.length = k;}if (gdjs.Untitled_32sceneCode.condition0IsTrue_0.val) {
/* Reuse gdjs.Untitled_32sceneCode.GDDinoVitaObjects1 */
{for(var i = 0, len = gdjs.Untitled_32sceneCode.GDDinoVitaObjects1.length ;i < len;++i) {
    gdjs.Untitled_32sceneCode.GDDinoVitaObjects1[i].setAnimationName("Idle");
}
}}

}


{

gdjs.copyArray(runtimeScene.getObjects("FlatLightJoystick"), gdjs.Untitled_32sceneCode.GDFlatLightJoystickObjects1);

gdjs.Untitled_32sceneCode.condition0IsTrue_0.val = false;
{
for(var i = 0, k = 0, l = gdjs.Untitled_32sceneCode.GDFlatLightJoystickObjects1.length;i<l;++i) {
    if ( gdjs.Untitled_32sceneCode.GDFlatLightJoystickObjects1[i].IsDirectionPushed8Way("Right", (typeof eventsFunctionContext !== 'undefined' ? eventsFunctionContext : undefined)) ) {
        gdjs.Untitled_32sceneCode.condition0IsTrue_0.val = true;
        gdjs.Untitled_32sceneCode.GDFlatLightJoystickObjects1[k] = gdjs.Untitled_32sceneCode.GDFlatLightJoystickObjects1[i];
        ++k;
    }
}
gdjs.Untitled_32sceneCode.GDFlatLightJoystickObjects1.length = k;}if (gdjs.Untitled_32sceneCode.condition0IsTrue_0.val) {
gdjs.copyArray(runtimeScene.getObjects("DinoDoux"), gdjs.Untitled_32sceneCode.GDDinoDouxObjects1);
{for(var i = 0, len = gdjs.Untitled_32sceneCode.GDDinoDouxObjects1.length ;i < len;++i) {
    gdjs.Untitled_32sceneCode.GDDinoDouxObjects1[i].getBehavior("PlatformerObject").simulateRightKey();
}
}{for(var i = 0, len = gdjs.Untitled_32sceneCode.GDDinoDouxObjects1.length ;i < len;++i) {
    gdjs.Untitled_32sceneCode.GDDinoDouxObjects1[i].setAnimationName("Move");
}
}{for(var i = 0, len = gdjs.Untitled_32sceneCode.GDDinoDouxObjects1.length ;i < len;++i) {
    gdjs.Untitled_32sceneCode.GDDinoDouxObjects1[i].flipX(false);
}
}}

}


{

gdjs.copyArray(runtimeScene.getObjects("FlatLightJoystick"), gdjs.Untitled_32sceneCode.GDFlatLightJoystickObjects1);

gdjs.Untitled_32sceneCode.condition0IsTrue_0.val = false;
{
for(var i = 0, k = 0, l = gdjs.Untitled_32sceneCode.GDFlatLightJoystickObjects1.length;i<l;++i) {
    if ( gdjs.Untitled_32sceneCode.GDFlatLightJoystickObjects1[i].IsDirectionPushed8Way("Left", (typeof eventsFunctionContext !== 'undefined' ? eventsFunctionContext : undefined)) ) {
        gdjs.Untitled_32sceneCode.condition0IsTrue_0.val = true;
        gdjs.Untitled_32sceneCode.GDFlatLightJoystickObjects1[k] = gdjs.Untitled_32sceneCode.GDFlatLightJoystickObjects1[i];
        ++k;
    }
}
gdjs.Untitled_32sceneCode.GDFlatLightJoystickObjects1.length = k;}if (gdjs.Untitled_32sceneCode.condition0IsTrue_0.val) {
gdjs.copyArray(runtimeScene.getObjects("DinoDoux"), gdjs.Untitled_32sceneCode.GDDinoDouxObjects1);
{for(var i = 0, len = gdjs.Untitled_32sceneCode.GDDinoDouxObjects1.length ;i < len;++i) {
    gdjs.Untitled_32sceneCode.GDDinoDouxObjects1[i].getBehavior("PlatformerObject").simulateLeftKey();
}
}{for(var i = 0, len = gdjs.Untitled_32sceneCode.GDDinoDouxObjects1.length ;i < len;++i) {
    gdjs.Untitled_32sceneCode.GDDinoDouxObjects1[i].flipX(true);
}
}}

}


{

gdjs.copyArray(runtimeScene.getObjects("FlatLightJoystick"), gdjs.Untitled_32sceneCode.GDFlatLightJoystickObjects1);

gdjs.Untitled_32sceneCode.condition0IsTrue_0.val = false;
{
for(var i = 0, k = 0, l = gdjs.Untitled_32sceneCode.GDFlatLightJoystickObjects1.length;i<l;++i) {
    if ( gdjs.Untitled_32sceneCode.GDFlatLightJoystickObjects1[i].IsDirectionPushed8Way("UpLeft", (typeof eventsFunctionContext !== 'undefined' ? eventsFunctionContext : undefined)) ) {
        gdjs.Untitled_32sceneCode.condition0IsTrue_0.val = true;
        gdjs.Untitled_32sceneCode.GDFlatLightJoystickObjects1[k] = gdjs.Untitled_32sceneCode.GDFlatLightJoystickObjects1[i];
        ++k;
    }
}
gdjs.Untitled_32sceneCode.GDFlatLightJoystickObjects1.length = k;}if (gdjs.Untitled_32sceneCode.condition0IsTrue_0.val) {
}

}


{

gdjs.copyArray(runtimeScene.getObjects("FlatLightJoystick"), gdjs.Untitled_32sceneCode.GDFlatLightJoystickObjects1);

gdjs.Untitled_32sceneCode.condition0IsTrue_0.val = false;
{
for(var i = 0, k = 0, l = gdjs.Untitled_32sceneCode.GDFlatLightJoystickObjects1.length;i<l;++i) {
    if ( gdjs.Untitled_32sceneCode.GDFlatLightJoystickObjects1[i].IsDirectionPushed8Way("UpRight", (typeof eventsFunctionContext !== 'undefined' ? eventsFunctionContext : undefined)) ) {
        gdjs.Untitled_32sceneCode.condition0IsTrue_0.val = true;
        gdjs.Untitled_32sceneCode.GDFlatLightJoystickObjects1[k] = gdjs.Untitled_32sceneCode.GDFlatLightJoystickObjects1[i];
        ++k;
    }
}
gdjs.Untitled_32sceneCode.GDFlatLightJoystickObjects1.length = k;}if (gdjs.Untitled_32sceneCode.condition0IsTrue_0.val) {
}

}


{

gdjs.copyArray(runtimeScene.getObjects("FlatLightJoystick"), gdjs.Untitled_32sceneCode.GDFlatLightJoystickObjects1);

gdjs.Untitled_32sceneCode.condition0IsTrue_0.val = false;
{
for(var i = 0, k = 0, l = gdjs.Untitled_32sceneCode.GDFlatLightJoystickObjects1.length;i<l;++i) {
    if ( gdjs.Untitled_32sceneCode.GDFlatLightJoystickObjects1[i].IsDirectionPushed8Way("Up", (typeof eventsFunctionContext !== 'undefined' ? eventsFunctionContext : undefined)) ) {
        gdjs.Untitled_32sceneCode.condition0IsTrue_0.val = true;
        gdjs.Untitled_32sceneCode.GDFlatLightJoystickObjects1[k] = gdjs.Untitled_32sceneCode.GDFlatLightJoystickObjects1[i];
        ++k;
    }
}
gdjs.Untitled_32sceneCode.GDFlatLightJoystickObjects1.length = k;}if (gdjs.Untitled_32sceneCode.condition0IsTrue_0.val) {
gdjs.copyArray(runtimeScene.getObjects("DinoDoux"), gdjs.Untitled_32sceneCode.GDDinoDouxObjects1);
{for(var i = 0, len = gdjs.Untitled_32sceneCode.GDDinoDouxObjects1.length ;i < len;++i) {
    gdjs.Untitled_32sceneCode.GDDinoDouxObjects1[i].getBehavior("PlatformerObject").simulateJumpKey();
}
}}

}


{

gdjs.copyArray(runtimeScene.getObjects("ShadedDarkJoystick"), gdjs.Untitled_32sceneCode.GDShadedDarkJoystickObjects1);

gdjs.Untitled_32sceneCode.condition0IsTrue_0.val = false;
gdjs.Untitled_32sceneCode.condition1IsTrue_0.val = false;
{
for(var i = 0, k = 0, l = gdjs.Untitled_32sceneCode.GDShadedDarkJoystickObjects1.length;i<l;++i) {
    if ( gdjs.Untitled_32sceneCode.GDShadedDarkJoystickObjects1[i].IsDirectionPushed8Way("Left", (typeof eventsFunctionContext !== 'undefined' ? eventsFunctionContext : undefined)) ) {
        gdjs.Untitled_32sceneCode.condition0IsTrue_0.val = true;
        gdjs.Untitled_32sceneCode.GDShadedDarkJoystickObjects1[k] = gdjs.Untitled_32sceneCode.GDShadedDarkJoystickObjects1[i];
        ++k;
    }
}
gdjs.Untitled_32sceneCode.GDShadedDarkJoystickObjects1.length = k;}if ( gdjs.Untitled_32sceneCode.condition0IsTrue_0.val ) {
{
{gdjs.Untitled_32sceneCode.conditionTrue_1 = gdjs.Untitled_32sceneCode.condition1IsTrue_0;
gdjs.Untitled_32sceneCode.conditionTrue_1.val = runtimeScene.getOnceTriggers().triggerOnce(10893556);
}
}}
if (gdjs.Untitled_32sceneCode.condition1IsTrue_0.val) {
gdjs.copyArray(runtimeScene.getObjects("DinoDoux"), gdjs.Untitled_32sceneCode.GDDinoDouxObjects1);
gdjs.Untitled_32sceneCode.GDPickaxeObjects1.length = 0;

{gdjs.evtTools.object.createObjectOnScene((typeof eventsFunctionContext !== 'undefined' ? eventsFunctionContext : runtimeScene), gdjs.Untitled_32sceneCode.mapOfGDgdjs_46Untitled_9532sceneCode_46GDPickaxeObjects1Objects, (( gdjs.Untitled_32sceneCode.GDDinoDouxObjects1.length === 0 ) ? 0 :gdjs.Untitled_32sceneCode.GDDinoDouxObjects1[0].getPointX("")), (( gdjs.Untitled_32sceneCode.GDDinoDouxObjects1.length === 0 ) ? 0 :gdjs.Untitled_32sceneCode.GDDinoDouxObjects1[0].getPointY("")), "");
}{for(var i = 0, len = gdjs.Untitled_32sceneCode.GDPickaxeObjects1.length ;i < len;++i) {
    gdjs.Untitled_32sceneCode.GDPickaxeObjects1[i].addPolarForce(180, 100, 1);
}
}{for(var i = 0, len = gdjs.Untitled_32sceneCode.GDPickaxeObjects1.length ;i < len;++i) {
    gdjs.Untitled_32sceneCode.GDPickaxeObjects1[i].setSize(32, 32);
}
}
{ //Subevents
gdjs.Untitled_32sceneCode.eventsList13(runtimeScene);} //End of subevents
}

}


{

gdjs.copyArray(runtimeScene.getObjects("ShadedDarkJoystick"), gdjs.Untitled_32sceneCode.GDShadedDarkJoystickObjects1);

gdjs.Untitled_32sceneCode.condition0IsTrue_0.val = false;
gdjs.Untitled_32sceneCode.condition1IsTrue_0.val = false;
{
for(var i = 0, k = 0, l = gdjs.Untitled_32sceneCode.GDShadedDarkJoystickObjects1.length;i<l;++i) {
    if ( gdjs.Untitled_32sceneCode.GDShadedDarkJoystickObjects1[i].IsDirectionPushed8Way("Right", (typeof eventsFunctionContext !== 'undefined' ? eventsFunctionContext : undefined)) ) {
        gdjs.Untitled_32sceneCode.condition0IsTrue_0.val = true;
        gdjs.Untitled_32sceneCode.GDShadedDarkJoystickObjects1[k] = gdjs.Untitled_32sceneCode.GDShadedDarkJoystickObjects1[i];
        ++k;
    }
}
gdjs.Untitled_32sceneCode.GDShadedDarkJoystickObjects1.length = k;}if ( gdjs.Untitled_32sceneCode.condition0IsTrue_0.val ) {
{
{gdjs.Untitled_32sceneCode.conditionTrue_1 = gdjs.Untitled_32sceneCode.condition1IsTrue_0;
gdjs.Untitled_32sceneCode.conditionTrue_1.val = runtimeScene.getOnceTriggers().triggerOnce(10888636);
}
}}
if (gdjs.Untitled_32sceneCode.condition1IsTrue_0.val) {
gdjs.copyArray(runtimeScene.getObjects("DinoDoux"), gdjs.Untitled_32sceneCode.GDDinoDouxObjects1);
gdjs.Untitled_32sceneCode.GDPickaxeObjects1.length = 0;

{gdjs.evtTools.object.createObjectOnScene((typeof eventsFunctionContext !== 'undefined' ? eventsFunctionContext : runtimeScene), gdjs.Untitled_32sceneCode.mapOfGDgdjs_46Untitled_9532sceneCode_46GDPickaxeObjects1Objects, (( gdjs.Untitled_32sceneCode.GDDinoDouxObjects1.length === 0 ) ? 0 :gdjs.Untitled_32sceneCode.GDDinoDouxObjects1[0].getPointX("")), (( gdjs.Untitled_32sceneCode.GDDinoDouxObjects1.length === 0 ) ? 0 :gdjs.Untitled_32sceneCode.GDDinoDouxObjects1[0].getPointY("")), "");
}{for(var i = 0, len = gdjs.Untitled_32sceneCode.GDPickaxeObjects1.length ;i < len;++i) {
    gdjs.Untitled_32sceneCode.GDPickaxeObjects1[i].addPolarForce(0, 100, 1);
}
}{for(var i = 0, len = gdjs.Untitled_32sceneCode.GDPickaxeObjects1.length ;i < len;++i) {
    gdjs.Untitled_32sceneCode.GDPickaxeObjects1[i].setSize(32, 32);
}
}
{ //Subevents
gdjs.Untitled_32sceneCode.eventsList15(runtimeScene);} //End of subevents
}

}


{

gdjs.copyArray(runtimeScene.getObjects("ShadedDarkJoystick"), gdjs.Untitled_32sceneCode.GDShadedDarkJoystickObjects1);

gdjs.Untitled_32sceneCode.condition0IsTrue_0.val = false;
gdjs.Untitled_32sceneCode.condition1IsTrue_0.val = false;
{
for(var i = 0, k = 0, l = gdjs.Untitled_32sceneCode.GDShadedDarkJoystickObjects1.length;i<l;++i) {
    if ( gdjs.Untitled_32sceneCode.GDShadedDarkJoystickObjects1[i].IsDirectionPushed8Way("Up", (typeof eventsFunctionContext !== 'undefined' ? eventsFunctionContext : undefined)) ) {
        gdjs.Untitled_32sceneCode.condition0IsTrue_0.val = true;
        gdjs.Untitled_32sceneCode.GDShadedDarkJoystickObjects1[k] = gdjs.Untitled_32sceneCode.GDShadedDarkJoystickObjects1[i];
        ++k;
    }
}
gdjs.Untitled_32sceneCode.GDShadedDarkJoystickObjects1.length = k;}if ( gdjs.Untitled_32sceneCode.condition0IsTrue_0.val ) {
{
{gdjs.Untitled_32sceneCode.conditionTrue_1 = gdjs.Untitled_32sceneCode.condition1IsTrue_0;
gdjs.Untitled_32sceneCode.conditionTrue_1.val = runtimeScene.getOnceTriggers().triggerOnce(10989612);
}
}}
if (gdjs.Untitled_32sceneCode.condition1IsTrue_0.val) {
gdjs.copyArray(runtimeScene.getObjects("DinoDoux"), gdjs.Untitled_32sceneCode.GDDinoDouxObjects1);
gdjs.Untitled_32sceneCode.GDPickaxeObjects1.length = 0;

{gdjs.evtTools.object.createObjectOnScene((typeof eventsFunctionContext !== 'undefined' ? eventsFunctionContext : runtimeScene), gdjs.Untitled_32sceneCode.mapOfGDgdjs_46Untitled_9532sceneCode_46GDPickaxeObjects1Objects, (( gdjs.Untitled_32sceneCode.GDDinoDouxObjects1.length === 0 ) ? 0 :gdjs.Untitled_32sceneCode.GDDinoDouxObjects1[0].getPointX("")), (( gdjs.Untitled_32sceneCode.GDDinoDouxObjects1.length === 0 ) ? 0 :gdjs.Untitled_32sceneCode.GDDinoDouxObjects1[0].getPointY("")), "");
}{for(var i = 0, len = gdjs.Untitled_32sceneCode.GDPickaxeObjects1.length ;i < len;++i) {
    gdjs.Untitled_32sceneCode.GDPickaxeObjects1[i].addPolarForce(270, 100, 1);
}
}{for(var i = 0, len = gdjs.Untitled_32sceneCode.GDPickaxeObjects1.length ;i < len;++i) {
    gdjs.Untitled_32sceneCode.GDPickaxeObjects1[i].setSize(32, 32);
}
}
{ //Subevents
gdjs.Untitled_32sceneCode.eventsList17(runtimeScene);} //End of subevents
}

}


{

gdjs.copyArray(runtimeScene.getObjects("ShadedDarkJoystick"), gdjs.Untitled_32sceneCode.GDShadedDarkJoystickObjects1);

gdjs.Untitled_32sceneCode.condition0IsTrue_0.val = false;
gdjs.Untitled_32sceneCode.condition1IsTrue_0.val = false;
{
for(var i = 0, k = 0, l = gdjs.Untitled_32sceneCode.GDShadedDarkJoystickObjects1.length;i<l;++i) {
    if ( gdjs.Untitled_32sceneCode.GDShadedDarkJoystickObjects1[i].IsDirectionPushed8Way("Down", (typeof eventsFunctionContext !== 'undefined' ? eventsFunctionContext : undefined)) ) {
        gdjs.Untitled_32sceneCode.condition0IsTrue_0.val = true;
        gdjs.Untitled_32sceneCode.GDShadedDarkJoystickObjects1[k] = gdjs.Untitled_32sceneCode.GDShadedDarkJoystickObjects1[i];
        ++k;
    }
}
gdjs.Untitled_32sceneCode.GDShadedDarkJoystickObjects1.length = k;}if ( gdjs.Untitled_32sceneCode.condition0IsTrue_0.val ) {
{
{gdjs.Untitled_32sceneCode.conditionTrue_1 = gdjs.Untitled_32sceneCode.condition1IsTrue_0;
gdjs.Untitled_32sceneCode.conditionTrue_1.val = runtimeScene.getOnceTriggers().triggerOnce(10922564);
}
}}
if (gdjs.Untitled_32sceneCode.condition1IsTrue_0.val) {
gdjs.copyArray(runtimeScene.getObjects("DinoDoux"), gdjs.Untitled_32sceneCode.GDDinoDouxObjects1);
gdjs.Untitled_32sceneCode.GDPickaxeObjects1.length = 0;

{gdjs.evtTools.object.createObjectOnScene((typeof eventsFunctionContext !== 'undefined' ? eventsFunctionContext : runtimeScene), gdjs.Untitled_32sceneCode.mapOfGDgdjs_46Untitled_9532sceneCode_46GDPickaxeObjects1Objects, (( gdjs.Untitled_32sceneCode.GDDinoDouxObjects1.length === 0 ) ? 0 :gdjs.Untitled_32sceneCode.GDDinoDouxObjects1[0].getPointX("")), (( gdjs.Untitled_32sceneCode.GDDinoDouxObjects1.length === 0 ) ? 0 :gdjs.Untitled_32sceneCode.GDDinoDouxObjects1[0].getPointY("")), "");
}{for(var i = 0, len = gdjs.Untitled_32sceneCode.GDPickaxeObjects1.length ;i < len;++i) {
    gdjs.Untitled_32sceneCode.GDPickaxeObjects1[i].addPolarForce(90, 100, 1);
}
}{for(var i = 0, len = gdjs.Untitled_32sceneCode.GDPickaxeObjects1.length ;i < len;++i) {
    gdjs.Untitled_32sceneCode.GDPickaxeObjects1[i].setSize(32, 32);
}
}
{ //Subevents
gdjs.Untitled_32sceneCode.eventsList19(runtimeScene);} //End of subevents
}

}


};

gdjs.Untitled_32sceneCode.func = function(runtimeScene) {
runtimeScene.getOnceTriggers().startNewFrame();

gdjs.Untitled_32sceneCode.GDBox3Objects1.length = 0;
gdjs.Untitled_32sceneCode.GDBox3Objects2.length = 0;
gdjs.Untitled_32sceneCode.GDBox3Objects3.length = 0;
gdjs.Untitled_32sceneCode.GDBox3Objects4.length = 0;
gdjs.Untitled_32sceneCode.GDCrateBlueFlatDarkObjects1.length = 0;
gdjs.Untitled_32sceneCode.GDCrateBlueFlatDarkObjects2.length = 0;
gdjs.Untitled_32sceneCode.GDCrateBlueFlatDarkObjects3.length = 0;
gdjs.Untitled_32sceneCode.GDCrateBlueFlatDarkObjects4.length = 0;
gdjs.Untitled_32sceneCode.GDWindHashashinObjects1.length = 0;
gdjs.Untitled_32sceneCode.GDWindHashashinObjects2.length = 0;
gdjs.Untitled_32sceneCode.GDWindHashashinObjects3.length = 0;
gdjs.Untitled_32sceneCode.GDWindHashashinObjects4.length = 0;
gdjs.Untitled_32sceneCode.GDDinoDouxObjects1.length = 0;
gdjs.Untitled_32sceneCode.GDDinoDouxObjects2.length = 0;
gdjs.Untitled_32sceneCode.GDDinoDouxObjects3.length = 0;
gdjs.Untitled_32sceneCode.GDDinoDouxObjects4.length = 0;
gdjs.Untitled_32sceneCode.GDPickaxeObjects1.length = 0;
gdjs.Untitled_32sceneCode.GDPickaxeObjects2.length = 0;
gdjs.Untitled_32sceneCode.GDPickaxeObjects3.length = 0;
gdjs.Untitled_32sceneCode.GDPickaxeObjects4.length = 0;
gdjs.Untitled_32sceneCode.GDNewSpriteObjects1.length = 0;
gdjs.Untitled_32sceneCode.GDNewSpriteObjects2.length = 0;
gdjs.Untitled_32sceneCode.GDNewSpriteObjects3.length = 0;
gdjs.Untitled_32sceneCode.GDNewSpriteObjects4.length = 0;
gdjs.Untitled_32sceneCode.GDNewSprite2Objects1.length = 0;
gdjs.Untitled_32sceneCode.GDNewSprite2Objects2.length = 0;
gdjs.Untitled_32sceneCode.GDNewSprite2Objects3.length = 0;
gdjs.Untitled_32sceneCode.GDNewSprite2Objects4.length = 0;
gdjs.Untitled_32sceneCode.GDNewSprite3Objects1.length = 0;
gdjs.Untitled_32sceneCode.GDNewSprite3Objects2.length = 0;
gdjs.Untitled_32sceneCode.GDNewSprite3Objects3.length = 0;
gdjs.Untitled_32sceneCode.GDNewSprite3Objects4.length = 0;
gdjs.Untitled_32sceneCode.GDNewSprite4Objects1.length = 0;
gdjs.Untitled_32sceneCode.GDNewSprite4Objects2.length = 0;
gdjs.Untitled_32sceneCode.GDNewSprite4Objects3.length = 0;
gdjs.Untitled_32sceneCode.GDNewSprite4Objects4.length = 0;
gdjs.Untitled_32sceneCode.GDNewSprite5Objects1.length = 0;
gdjs.Untitled_32sceneCode.GDNewSprite5Objects2.length = 0;
gdjs.Untitled_32sceneCode.GDNewSprite5Objects3.length = 0;
gdjs.Untitled_32sceneCode.GDNewSprite5Objects4.length = 0;
gdjs.Untitled_32sceneCode.GDNewSprite6Objects1.length = 0;
gdjs.Untitled_32sceneCode.GDNewSprite6Objects2.length = 0;
gdjs.Untitled_32sceneCode.GDNewSprite6Objects3.length = 0;
gdjs.Untitled_32sceneCode.GDNewSprite6Objects4.length = 0;
gdjs.Untitled_32sceneCode.GDNewSprite7Objects1.length = 0;
gdjs.Untitled_32sceneCode.GDNewSprite7Objects2.length = 0;
gdjs.Untitled_32sceneCode.GDNewSprite7Objects3.length = 0;
gdjs.Untitled_32sceneCode.GDNewSprite7Objects4.length = 0;
gdjs.Untitled_32sceneCode.GDDinoVitaObjects1.length = 0;
gdjs.Untitled_32sceneCode.GDDinoVitaObjects2.length = 0;
gdjs.Untitled_32sceneCode.GDDinoVitaObjects3.length = 0;
gdjs.Untitled_32sceneCode.GDDinoVitaObjects4.length = 0;
gdjs.Untitled_32sceneCode.GDFlatLightJoystickObjects1.length = 0;
gdjs.Untitled_32sceneCode.GDFlatLightJoystickObjects2.length = 0;
gdjs.Untitled_32sceneCode.GDFlatLightJoystickObjects3.length = 0;
gdjs.Untitled_32sceneCode.GDFlatLightJoystickObjects4.length = 0;
gdjs.Untitled_32sceneCode.GDNewSprite8Objects1.length = 0;
gdjs.Untitled_32sceneCode.GDNewSprite8Objects2.length = 0;
gdjs.Untitled_32sceneCode.GDNewSprite8Objects3.length = 0;
gdjs.Untitled_32sceneCode.GDNewSprite8Objects4.length = 0;
gdjs.Untitled_32sceneCode.GDNewSprite9Objects1.length = 0;
gdjs.Untitled_32sceneCode.GDNewSprite9Objects2.length = 0;
gdjs.Untitled_32sceneCode.GDNewSprite9Objects3.length = 0;
gdjs.Untitled_32sceneCode.GDNewSprite9Objects4.length = 0;
gdjs.Untitled_32sceneCode.GDShadedDarkJoystickObjects1.length = 0;
gdjs.Untitled_32sceneCode.GDShadedDarkJoystickObjects2.length = 0;
gdjs.Untitled_32sceneCode.GDShadedDarkJoystickObjects3.length = 0;
gdjs.Untitled_32sceneCode.GDShadedDarkJoystickObjects4.length = 0;

gdjs.Untitled_32sceneCode.eventsList20(runtimeScene);

return;

}

gdjs['Untitled_32sceneCode'] = gdjs.Untitled_32sceneCode;
